Subject: Re: [Leech Talk] Using a private site fail; how may I provide my credentials to Leech so it may login on my behalf (before attempting to fetch any files)?

From: Rob Griffiths <[email-masked]>
Date: Wed, 6 Jul 2016 06:04:04 -0700

On Jul 2, 2016, at 11:25 AM, Frank <[email-masked]> wrote:

> Using Leech 3.1 (3092) on Mac OS X 10.11.5 (15F34) and I find I am unable to rely on Leech for most of my day-to-day download needs, more specifically because I must first login to the target site(s) beforehand, where only once authenticated one is able to fetch any files on offer.  

Leech is not designed with authenticated-download sites in mind; it may work with some, but it wasn’t something we designed for nor tested with during Leech’s development. With that said, there are two things that may work (though they will probably fail):

1) Login to the site first using Safari, then try Leech. 
2) After logging in in Safari, use the Safari contextual menu item to send the download URLs to Leech. (You need to install the extension from within Leech first).

As noted, I’m not sure either of these will work for you, but they’re worth trying. Designing Leech to work with login-required sites would require a very different approach (and a higher level of support) than we’re currently using, and would force us to sell Leech for a higher price to cover the development and support needs of such an app. 

regards,
-rob.